package cn.yyxx.eyuancomm.base.internal.feature

import android.app.Activity
import android.content.Intent

/**
 * @author #Suyghur.
 * Created on 2022/01/17
 */
interface ILifeCycle {

    fun onStart(activity: Activity)

    fun onResume(activity: Activity)

    fun onReStart(activity: Activity)

    fun onPause(activity: Activity)

    fun onStop(activity: Activity)

    fun onActivityResult(activity: Activity, requestCode: Int, resultCode: Int, data: Intent?)

    fun onNewIntent(activity: Activity, intent: Intent?)
}